#  ResumeBuilder

A simple macOS app to display my resume, and export it to different formats.

Features:
- Display my resume as a single page
- Switch between German and English versions
- Choose between light and dark appearance
- Import additional languages or update the internal data (from JSON)
- Export the content as a PDF, JPG image, or as JSON data

Problems:
- The [ImageRenderer](https://developer.apple.com/documentation/swiftui/imagerenderer) doesn't respect the appearance (dark/light), so exports are always done with the light color scheme (hints welcome!).
- The `ImageRenderer` sometimes renders text in the wrong color (seems to be a bug).
- PDF exports are fairly large (> 2 MB) due to included fonts, which is a problem for some applications.

Next steps:
- Create HTML export to use for my website

